openSUSE Leap 15.3 - action #76393

merge back maintenance updates
2020-10-28 14:22 - lkocman

Status: Resolved Start date: 2020-10-28
Priority: Normal Due date: 2021-04-21
Assignee: lkocman % Done: 100%
Category: Estimated time: 0.00 hour
Target version: RC

Description

maintenance updates from the update project need to be merged back into the main repo

® use osc checkupdate (https:/github.com/coolo/factory-auto/osc-plugin-checkupdate.py) to find updated packages

¢ copy them back using 'osc copypac -e openSUSE:13.2:Update openSUSE:13.2 -m "Update to match Update channel
update#."'; On purpose do it by hand without automation to avoid screwups

¢ adjust the release number to be higher than in the update repo using FIXMEmM

e remove updates from the update repo by using "osc killupdate NUMBER"

[1] adjust the release number by checking the state of the package 'osc getbinaries openSUSE:13.2:Update

. standard x86_64' and

then writting higher revision to .spec file. To submit this update to repository just use 'osc ci --noservice -m "Add revision to ensure

new-enough over Update channel.™

There should be a way to do this by means of obs

History

#1 - 2021-04-20 13:48 - lkocman

- Assignee set to lkocman

#2 - 2021-04-20 13:49 - lkocman
- Due date set to 2021-04-21

#3 - 2021-04-20 13:50 - lkocman

- Status changed from New to In Progress

https://github.com/coolo/factory-auto/pull/57

However the tool can't be used any more as it is since we're not using 00Meta. We can still use osc meta for the origin of packages though.

#4 - 2021-04-28 15:07 - Ikocman
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

From Marcus:

We have not released any feature updates into 15.3:Update at this time.

(Only hello and rpmlint-mini are there as testupdates without source changes.)

The task can be marked done.

ciao, Marcus

2022-01-24
